
apply plugin: 'war'

sourceCompatibility = 1.8

repositories {
    mavenCentral()
}

dependencies {
    testCompile group: 'junit', name: 'junit', version: '4.12'
    compile(project(":spring-webmvc"))
    compile(project(":spring-web"))
    compile(group: "org.apache.tomcat.embed",name: "tomcat-embed-core",version: "${tomcatVersion}")
    compile(group: "org.apache.tomcat",name: "tomcat-jasper",version: "${tomcatVersion}")
    provided group: 'javax.servlet', name: 'javax.servlet-api', version: '3.1.0'
    compile group: 'com.fasterxml.jackson.core',name: 'jackson-core',version:'2.9.4'
    compile group: 'com.fasterxml.jackson.core',name: 'jackson-annotations',version:'2.9.4'
    compile group: 'com.fasterxml.jackson.core',name: 'jackson-databind',version:'2.9.4'

}
/*
task "create-dirs" << {
    sourceSets*.java.srcDirs*.each {
        it.mkdirs()
    }
    sourceSets*.resources.srcDirs*.each{
        it.midirs()
    }
}*/
